%define name thoggen
%define version 0.7.1
%define release %mkrel 2

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Wizard-style DVD backup utility
Summary(de): DVD Sicherungsprogramm im Stil eines Assistenten
Source: http://prdownloads.sourceforge.net/thoggen/%{name}-%{version}.tar.gz
URL: http://thoggen.net/
License: GPL
Group: Video
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: iso-codes
BuildRequires: libgstreamer-plugins-base-devel
BuildRequires: %{_lib}dvdread-devel
BuildRequires: libglade2.0-devel
BuildRequires: libhal-devel
BuildRequires: dbus-glib-devel
BuildRequires: gstreamer0.10-mpeg
BuildRequires: gstreamer0.10-a52dec gstreamer0.10-mpeg
BuildRequires: gstreamer0.10-plugins-good
BuildRequires: gstreamer0.10-plugins-ugly gstreamer0.10-vorbis
BuildRequires: valgrind
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
Requires: gstreamer0.10-a52dec gstreamer0.10-mpeg
Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-plugins-ugly gstreamer0.10-vorbis
Requires: iso-codes
Requires: %{_lib}dvdcss2
BuildRequires: ImageMagick

%description
Thoggen is designed to be easy and straight-forward to use. It attempts to
hide the complexity many other transcoding tools expose and tries to offer
sensible defaults that work okay for most people most of the time.
    * Easy to use, with a nice graphical user interface (GUI)
    * Supports title preview, picture cropping, and picture resizing.
    * Language Selection for audio track (no subtitle support yet though)
    * Encodes into Ogg/Theora video
    * Based on the GStreamer multimedia framework, which makes it fairly
      easy to add additional encoding formats/codecs.
      
#german
%description -l de
Thoggen wurde zur einfachen und geradelinigen Anwendung entworfen. 
Es versucht, die Komplexität vieler anderer Transcodierung-Werkzeuge 
auszublenden und sinnvolle Standardeinstellungen verfügbar zu machen, 
dies genügt meistens, bei den meisten Menschen.

* Einfach zu bedienen, mit einer schönen grafischen Benutzeroberfläche (GUI)
* unterstützt Titel Vorschau, Bild zuschneiden und Bildgrößenänderung.
* Sprachauswahl für den Audio-Track (aber bisher noch keine Unterstützung für Untertitel)
* Encodieren in Ogg/Theora Video
* basierd auf dem Rahmen von GStreamer-Multimedia, wodurch ziemlich 
  einfach zusätzliche encoding Formate/Codecs hinzugefügt werden können.


%prep
%setup -q
perl -pi -e "s|.png||" data/thoggen.desktop.in

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr %buildroot/%_docdir/*
# needed for ABOUT dialog
#ln -sf %_docdir/%name-%version %buildroot/%_docdir/%name

#menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 data/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 data/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 data/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name
%find_lang %{name}_iso_639
cat %{name}_iso_639.lang >> %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING README AUTHORS NEWS TODO
%{_bindir}/%name
#%{_docdir}/%name
%{_mandir}/man1/*
%{_datadir}/applications/%name.desktop
%{_datadir}/pixmaps/%name.png
%{_datadir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog
* Fri Jan 03 2012 Neal <nealbrks0 at gmail dot com> 0.7.1-2pclos2012
- process

* Fri Jan 03 2012 leiche <meisssw01 at gmail.com> 0.7.1-2pclos2012
- rebuild
- add german description

* Mon Sep 15 2008 Slick50 <slick50@linuxgator.org> 0.7.1-1pclos2007
- initial build


